<?php
/**
 * $Horde: troll/cancel.php,v 1.20 2005/01/03 14:35:35 jan Exp $
 *
 * Copyright 2002-2005 Thierry Thomas <thierry@pompo.net>
 * Copyright 2004-2005 Michael Slusarz <slusarz@bigworm.colorado.edu>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

define('TROLL_BASE', dirname(__FILE__));
require_once TROLL_BASE . '/lib/base.php';
require_once TROLL_BASE . '/lib/NNTP.php';
require_once 'Horde/Identity.php';

$title = _("Article");
require TROLL_TEMPLATES . '/common-header.inc';

/* Make sure we have an NNTP stream. */
$troll_nntp = &Troll_NNTP::singleton();
$nntp = &$troll_nntp->getNetNNTPOb();

/* Get the user's identity. */
$identity = &Identity::singleton(array('troll', 'troll'));

/* Get the message ID of the canceled message. */
$cancel_id = Util::getFormData('cancel_id');

/* Cancel the message. */
$nntp->post(
    'cmsg cancel ' . $cancel_id,
    Util::getFormData('newsgroups'),
    $identity->getValue('from_addr'),
    "ignore\nArticle cancelled by Troll.",
    'Control: cancel ' . $cancel_id
);

$notification->notify(array('listeners' => 'status'));
require $registry->get('templates', 'horde') . '/common-footer.inc';
