<?php
if (isset($language)) {
    header('Content-type: text/html; charset=' . NLS::getCharset());
    header('Vary: Accept-Language');
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Frameset//EN" "DTD/xhtml1-frameset.dtd">
<!-- Troll: Copyright 2000-2004, The Horde Project. Troll is under the GPL. -->
<!-- Horde Project: http://horde.org/ | Troll: http://horde.org/troll/      -->
<!--      GNU Public License: http://www.fsf.org/copyleft/gpl.html          -->
<?php echo !empty($language) ? '<html lang="' . strtr($language, '_', '-') . '">' : '<html>' ?>
<head>
<?php

$page_title = $registry->get('name');
if (!empty($title)) $page_title .= ' :: ' . $title;
if (!empty($refresh_time) && ($refresh_time > 0) && !empty($refresh_url)) {
    echo "<meta http-equiv=\"refresh\" content=\"$refresh_time;url=$refresh_url\">\n";
}

?>
<title><?php echo $page_title ?></title>
</head>

<frameset rows="50%,*" name="troll" border="0">
<frame name="overview" scrolling="yes" src="<?php echo Util::addParameter(Horde::url('groupview.php'), 'group', Util::getFormData('group')) ?>" marginheight="0" marginwidth="0" frameborder="0" />
<frame name="article" src="<?php echo Util::addParameter(Horde::url('article.php'), 'blankarticle', 1) ?>" scrolling="yes" marginheight="0" marginwidth="0" frameborder="0" />
</frameset>
